%global srcname traitlets

Name:          python-%{srcname}
Version:       4.3.3
Release:       1mamba
Summary:       A lightweight, simple, pure Python derivative of Enthought Traits
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           https://github.com/ipython/traitlets
Source:        https://github.com/ipython/traitlets/archive/%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython-devel
## AUTOBUILDREQ-END
Requires:      python >= %python_version
Requires:      python-decorator
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
This Python module is designed to provide a lightweight, simple, pure Python version of many of the capabilities of enthought.traits.

%prep
%setup -q -n %{srcname}-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files -f %{name}.filelist
%defattr(-,root,root)
%doc README.md

%changelog
* Tue Oct 22 2019 Automatic Build System <autodist@mambasoft.it> 4.3.3-1mamba
- automatic version update by autodist

* Mon Mar 06 2017 Automatic Build System <autodist@mambasoft.it> 4.3.2-1mamba
- automatic version update by autodist

* Sun Oct 16 2016 Automatic Build System <autodist@mambasoft.it> 4.3.1-1mamba
- automatic version update by autodist

* Sat Jan 23 2016 Davide Madrisan <davide.madrisan@gmail.com> 4.1.0-1mamba
- package created using the webbuild interface
